![](https://github.com/electro-smith/daisyduino/blob/master/resources/assets/banner.png)

## Arduino Support for the [Daisy Audio Platform](https://www.electro-smith.com/daisy) 

### Features
- DSP library full of synthesis blocks, effects processors, and more
- Configurable audio callback
- Board support and helper functions for Daisy hardware platforms
- Example programs

## Getting Started

Follow the instructions in our [Getting Started Wiki page.](https://github.com/electro-smith/DaisyWiki/wiki/1a.-Getting-Started-(Arduino-Edition)) 

## Support

Here are some ways to get support and connect with other users and developers:

- Join the [Daisy Forum](https://forum.electro-smith.com/)

- Make a [GitHub Issue](https://github.com/electro-smith/DaisyDuino/issues) 

- Join the [Daisy Slack Workspace](https://join.slack.com/t/es-daisy/shared_invite/zt-f9cfm1g4-DgdCok1h1Rj4fpX90~IOww)

## Built With

* [Arduino](https://github.com/arduino/Arduino) - Open source physical computing platform
* [stm32duino](https://github.com/stm32duino/Arduino_Core_STM32) - Arduino Support for STM32 MCUs
* [DaisySP](https://github.com/electro-smith/DaisySP) - Embedded DSP library for the Daisy ecosystem and beyond

### Additional Dependencies

MIDI examples require the [FortySevenEffects MIDI Library](https://github.com/FortySevenEffects/arduino_midi_library). This library can be installed within the Arduino Library Manager.

## Contributing

Please read our [Contribution Guidelines](https://github.com/electro-smith/DaisyWiki/wiki/6.-Contribution-Guidelines) for details on how to get involved!

## License

This project uses multiple open source licenses for different files - see the [LICENSE.md](LICENSE.md) file for details
